Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575086 - [LLNL 7.6 FEAT] Dyninst on ARM
Summary: [LLNL 7.6 FEAT] Dyninst on ARM
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dyninst
Version: 7.6-Alt
Hardware: aarch64
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Stan Cox
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1498541 1593423 1670539 963475
TreeView+ depends on / blocked
 
Reported: 2018-05-04 17:54 UTC by Ben Woodard
Modified: 2019-05-13 16:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1575093 (view as bug list)
Environment:
Last Closed: 2019-05-13 16:36:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ben Woodard 2018-05-04 17:54:37 UTC
Description of problem:
LLNL requires dyninst for ARM. They are currently financing development but only parts of it are currently complete. This is evidently enough to begin using it for one of their uses.

Comment 4 Stan Cox 2018-11-15 15:50:03 UTC
A small smoke test on aarch with dyninst 10 fails:

./mutatee & DYNINSTAPI_RT_LIB=/usr/lib64/dyninst//libdyninstAPI_RT.so
./mutator $!
FUNCTION EXECUTED. VALUE = 0
FUNCTION EXECUTED. VALUE = 0
mutator: /root/dyninst-10.0.0/src/dyninstAPI/src/inst-aarch64.C:1034:
bool writeFunctionPtr(AddressSpace*, Dyninst::Address, func_instance*):
Assertion `0' failed.

Comment 5 David Smith 2018-11-29 19:51:58 UTC
Since upstream still doesn't have aarch64 working, I'm going to NAK this one.

Comment 7 RHEL Program Management 2019-05-13 16:36:11 UTC
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.